<?php

use Illuminate\Database\Seeder;

class SemesterTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('semesters')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'semester.semester.view',
                'name'      => 'View Semester',
            ],
            [
                'slug'      => 'semester.semester.create',
                'name'      => 'Create Semester',
            ],
            [
                'slug'      => 'semester.semester.edit',
                'name'      => 'Update Semester',
            ],
            [
                'slug'      => 'semester.semester.delete',
                'name'      => 'Delete Semester',
            ],
            /*
            [
                'slug'      => 'semester.semester.verify',
                'name'      => 'Verify Semester',
            ],
            [
                'slug'      => 'semester.semester.approve',
                'name'      => 'Approve Semester',
            ],
            [
                'slug'      => 'semester.semester.publish',
                'name'      => 'Publish Semester',
            ],
            [
                'slug'      => 'semester.semester.unpublish',
                'name'      => 'Unpublish Semester',
            ],
            [
                'slug'      => 'semester.semester.cancel',
                'name'      => 'Cancel Semester',
            ],
            [
                'slug'      => 'semester.semester.archive',
                'name'      => 'Archive Semester',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/semester/semester',
                'name'        => 'Semester',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/semester/semester',
                'name'        => 'Semester',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'semester',
                'name'        => 'Semester',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'semester.semester.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
