<?php

namespace Asadi\Semester\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SemesterListTransformer extends TransformerAbstract
{
    public function transform(\Asadi\Semester\Models\Semester $semester)
    {
        return [
            'id'                => $semester->getRouteKey(),
            'id'                => $semester->id,
            'standard_id'       => $semester->standard_id,
            'name'              => $semester->name,
            'description'       => $semester->description,
            'deleted_at'        => $semester->deleted_at,
            'created_at'        => $semester->created_at,
            'updated_at'        => $semester->updated_at,
            'status'            => trans('app.'.$semester->status),
            'created_at'        => format_date($semester->created_at),
            'updated_at'        => format_date($semester->updated_at),
        ];
    }
}