This is a Laravel 5 package that provides semester management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `asadi/semester`.

    "asadi/semester": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Asadi\Semester\Providers\SemesterServiceProvider::class,

```

And also add it to alias

```php
'Semester'  => Asadi\Semester\Facades\Semester::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Asadi\Semester\Providers\SemesterServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


