    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#semester" data-toggle="tab">{!! trans('semester::semester.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#semester-semester-edit'  data-load-to='#semester-semester-entry' data-datatable='#semester-semester-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#semester-semester-entry' data-href='{{trans_url('admin/semester/semester')}}/{{$semester->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('semester-semester-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(URL::to('admin/semester/semester/'. $semester->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="semester">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('semester::semester.name') !!} [{!!$semester->name!!}] </div>
                @include('semester::admin.semester.partial.entry')
            </div>
        </div>
        {!!Form::close()!!}
    </div>