<div class="container">
    <h1> Semesters</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($semesters as $semester)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $semester['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('semester') }}/{!! $semester->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('semester::semester.label.id') !!}
                </label><br />
                    {!! $semester['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="standard_id">
                    {!! trans('semester::semester.label.standard_id') !!}
                </label><br />
                    {!! $semester['standard_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('semester::semester.label.name') !!}
                </label><br />
                    {!! $semester['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('semester::semester.label.description') !!}
                </label><br />
                    {!! $semester['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('semester::semester.label.deleted_at') !!}
                </label><br />
                    {!! $semester['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('semester::semester.label.created_at') !!}
                </label><br />
                    {!! $semester['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('semester::semester.label.updated_at') !!}
                </label><br />
                    {!! $semester['updated_at'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$semesters->render()}}
        </div>
        <div class="col-md-4">
            @include('semester::public.semester.aside')
        </div>
    </div>
</div>