<?php

// Admin  routes  for semester
Route::group(['prefix' => '/admin/semester'], function () {
    Route::put('news/workflow/{semester}/{step}', 'SemesterAdminController@putWorkflow');
    Route::resource('semester', 'SemesterAdminController');
});


// User  routes for semester
Route::group(['prefix' => '/user/semester'], function () {
    Route::resource('semester', 'SemesterUserController');
});

// Public  routes for semester
Route::group(['prefix' => '/semesters'], function () {
    Route::get('news/workflow/{semester}/{step}/{user}', 'SemesterController@getWorkflow');
    Route::get('/', 'SemesterPublicController@index');
    Route::get('/{slug?}', 'SemesterPublicController@show');
});


