<?php

namespace Asadi\Semester\Repositories\Eloquent;

use Asadi\Semester\Interfaces\SemesterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SemesterRepository extends BaseRepository implements SemesterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('asadi.semester.semester.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('asadi.semester.semester.model');
    }
}
